package com.evobms.project.battery.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.evobms.project.battery.domain.ExtremeValues;
import org.apache.ibatis.annotations.Param;
import java.util.Date;

/**
 * 电池极值数据Mapper接口
 *
 * @author 田志阳
 * @date 2025-10-14
 */
public interface ExtremeValuesMapper extends BaseMapper<ExtremeValues> {
    /**
     * 查询电池极值数据
     *
     * @param id 电池极值数据主键
     * @return 电池极值数据
     */
    public ExtremeValues selectExtremeValuesById(Long id);

    /**
     * 查询电池极值数据列表
     *
     * @param extremeValues 电池极值数据
     * @return 电池极值数据集合
     */
    public List<ExtremeValues> selectExtremeValuesList(ExtremeValues extremeValues);

    /**
     * 新增电池极值数据
     *
     * @param extremeValues 电池极值数据
     * @return 结果
     */
    public int insertExtremeValues(ExtremeValues extremeValues);

    /**
     * 修改电池极值数据
     *
     * @param extremeValues 电池极值数据
     * @return 结果
     */
    public int updateExtremeValues(ExtremeValues extremeValues);

    /**
     * 删除电池极值数据
     *
     * @param id 电池极值数据主键
     * @return 结果
     */
    public int deleteExtremeValuesById(Long id);

    /**
     * 批量删除电池极值数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteExtremeValuesByIds(Long[] ids);

    ExtremeValues selectLatestByDeviceId(@Param("deviceId") String deviceId);

    ExtremeValues selectLatestByDeviceIdBefore(@Param("deviceId") String deviceId, @Param("beforeTime") Date beforeTime);
}
